Package org.apache.commons.lang3

## Class ArchUtils

- java.lang.Object
- - org.apache.commons.lang3.ArchUtils

    public class ArchUtils
    extends java.lang.Object

An utility class for the os.arch System Property. The class defines methods for identifying the architecture of the current JVM.

Important: The os.arch System Property returns the architecture used by the JVM not of the operating system.

Since:
  3.6

### Constructor Summary

Constructors
`ArchUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Processor` `getProcessor()` Returns a `Processor` object of the current JVM.
`static Processor` `getProcessor​(java.lang.String value)` Returns a `Processor` object the given value `String`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArchUtils

    public ArchUtils()

### Method Detail

#### getProcessor

    public static Processor getProcessor()

Returns a `Processor` object of the current JVM.

Important: The os.arch System Property returns the architecture used by the JVM not of the operating system.

Returns:
  A `Processor` when supported, else `null`.

#### getProcessor

    public static Processor getProcessor​(java.lang.String value)

Returns a `Processor` object the given value `String`. The `String` must be like a value returned by the os.arch System Property.

Parameters:
  `value` - A `String` like a value returned by the os.arch System Property.
Returns:
  A `Processor` when it exists, else `null`.